# na_elementsw_initiators – Manage Element SW initiators

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Manage Element Software initiators that allow external clients access to volumes.

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
initiators - |  | A list of objects containing characteristics of each initiator.
| alias - |  | The friendly name assigned to this initiator.
| attributes - |  | A set of JSON attributes to assign to this initiator.
| initiator_id - |  | The numeric ID of the initiator.
| name - |  | The name of the initiator.
| volume_access_groups - |  | A list of volumeAccessGroupIDs to which this initiator belongs.
password - / required |  | Password for the specified user. aliases: pass

state
-

Choices:
- present ←
- absent

Whether the specified initiator should exist or not.

username - / required |  | Please ensure that the user has the adequate permissions. For more information, please read the official documentation https://mysupport.netapp.com/documentation/docweb/index.html?productID=62636&language=en-US. aliases: user

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Manage initiators
      tags:
      - na_elementsw_initiators
      na_elementsw_initiators:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        initiators:
        - name: a
          alias: a1
          initiator_id: 1
          volume_access_groups:
          - 1
          - 2
          attributes: {"key": "value"}
        - name: b
          alias: b2
          initiator_id: 2
          volume_access_groups:
          - 2
      state: present

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.